Require Export stt4.

Parameter f:set>set. (* 1 1 1 *)
Parameter g:set>set. (* 1 1 1 *)

Axiom a:forall (x:set), f x = g x.

Theorem c0:(f = f).
exact (NNPP (eq (set>set) f f) (fun H0 => TRef (set>set) f H0)).
Qed.

Theorem c1:(f = g).
exact (NNPP (eq (set>set) f g) (fun H0 => TFE set set f g H0 (fun H1 => H1 a))).
Qed.

Theorem c2:(g = f).
exact (NNPP (eq (set>set) g f) (fun H0 => let H1 := eq_sym (set>set) in TAll (set>set) (fun (X1:set>set) => forall (X2:set>set), eq (set>set) X1 X2 -> eq (set>set) X2 X1) H1 f (fun H2 => TAll (set>set) (fun (X1:set>set) => eq (set>set) f X1 -> eq (set>set) X1 f) H2 g (fun H3 => TImp (eq (set>set) f g) (eq (set>set) g f) H3 (fun H4 => H4 c1) (fun H4 => H0 H4))))).
Qed.
